#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf6_version_min 5.240.0

%define rel 1

# ufw not available on Mageia
%bcond_with ufw

Name:           plasma-firewall
Version: 6.1.90
Release:        %mkrel %{rel}
Summary:        Control Panel for your system firewall
Group:          Graphical desktop/KDE
License:        BSD
URL:            https://invent.kde.org/plasma/plasma-firewall
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config) >= %{kf6_version_min}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_version_min}
BuildRequires:  cmake(KF6KCMUtils) >= %{kf6_version_min}
BuildRequires:  cmake(KF6I18n) >= %{kf6_version_min}
BuildRequires:  cmake(KF6Auth) >= %{kf6_version_min}

# Owns KCM directories
Requires:       kcmutils >= %{kf6_version_min}

Requires:       %{name}-backend = %{version}-%{release}

%description
Control Panel for your system firewall.

%files -f %{name}.lang
%license LICENSES/*.txt
%{_kf6_libdir}/libkcm_firewall_core.so
%{_kf6_metainfodir}/org.kde.plasma.firewall.metainfo.xml
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_firewall.so
%{_kf6_applicationsdir}/kcm_firewall.desktop

#--------------------------------------------------------------------

%package firewalld
Summary:        FirewallD backend for Plasma Firewall
Group:          Graphical desktop/KDE
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-backend = %{version}-%{release}
Requires:       firewalld

%description firewalld
This package provides the backend code for Plasma Firewall
to interface with FirewallD.

%files firewalld
%{_kf6_plugindir}/plasma_firewall/firewalldbackend.so

#--------------------------------------------------------------------

%if %{with ufw}
%package ufw
Summary:        UFW backend for Plasma Firewall
Group:          Graphical desktop/KDE
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-backend = %{version}-%{release}
Requires:       ufw
# For dbus directories
Requires:       dbus
# For polkit directories
Requires:       polkit

%description ufw
This package provides the backend code for Plasma Firewall
to interface with the Uncomplicated Firewall (UFW).

%files ufw
%{_kf6_plugindir}/plasma_firewall/ufwbackend.so
%{_libexecdir}/kde_ufw_plugin_helper.py
%{_libexecdir}/kauth/kde_ufw_plugin_helper
%{_kf6_datadir}/dbus-1/system-services/org.kde.ufw.service
%{_kf6_datadir}/dbus-1/system.d/org.kde.ufw.conf
%dir %{_kf6_datadir}/kcm_ufw
%{_kf6_datadir}/kcm_ufw/defaults
%{_kf6_datadir}/polkit-1/actions/org.kde.ufw.policy
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html

%if ! %{with ufw}
# Delete ufw stuff when we don't need it
rm -rfv %{buildroot}%{_kf6_plugindir}/plasma_firewall/ufwbackend.so
rm -rfv %{buildroot}%{_libexecdir}/kde_ufw_plugin_helper.py
rm -rfv %{buildroot}%{_kf6_libexecdir}/kauth/kde_ufw_plugin_helper
rm -rfv %{buildroot}%{_kf6_datadir}/dbus-1/system-services/org.kde.ufw.service
rm -rfv %{buildroot}%{_kf6_datadir}/dbus-1/system.d/org.kde.ufw.conf
rm -rfv %{buildroot}%{_kf6_datadir}/kcm_ufw/defaults
rm -rfv %{buildroot}%{_kf6_datadir}/polkit-1/actions/org.kde.ufw.policy
%endif


%changelog
* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095410
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083923
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079130
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076729
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074839
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069838
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057930
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052500
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049410
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048159
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045017
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036806
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029667
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025704
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006475
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001128
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988256
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958059
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951973
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949097
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945804
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944816
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942083
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935780
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930080
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923132
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907551
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889263
- New version 5.25.90
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872292
- New version 5.25.3
- New version 5.24.5

* Mon Apr 11 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1848776
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766176
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756841
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750092
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736186
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721771
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715404
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704281
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697451
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1694428
- initial package plasma-firewall

